debug(3)

NAME
debug -

Print out debugging information about the handler chain being called.

  Functions
netsnmp_mib_handler * netsnmp_get_debug_handler (void)
returns a debug handler that can be injected into a given handler chain.
void debug_print_requests (netsnmp_request_info *requests)
int netsnmp_debug_helper (netsnmp_mib_handler *handler, netsnmp_handler_registration *reginfo, netsnmp_agent_request_info *reqinfo, netsnmp_request_info *requests)
void netsnmp_init_debug_helper (void)
initializes the debug helper which then registers a debug handler as a run-time injectable handler for configuration file use.

Detailed Description

Print out debugging information about the handler chain being called. This is a useful module for run-time debugging of requests as the pass this handler in a calling chain. All debugging output is done via the standard debugging routines with a token name of 'helper:debug', so use the -Dhelper:debug command line flag to see the output when running the snmpd demon. It's not recommended you compile this into a handler chain during compile time, but instead use the 'injectHandler' token in the snmpd.conf file (or similar) to add it to the chain later:

injectHandler debug my_module_name

to see an example output, try:

injectHandler debug mibII/system

and then run snmpwalk on the 'system' group.

Function Documentation

  netsnmp_mib_handler* netsnmp_get_debug_handler (void)

returns a debug handler that can be injected into a given handler chain.

Definition at line 44 of file debug_handler.c.

  void netsnmp_init_debug_helper (void)

initializes the debug helper which then registers a debug handler as a run-time injectable handler for configuration file use.

Definition at line 148 of file debug_handler.c.

Author

Generated automatically by Doxygen for net-snmp from the source code.